import { findNodeForProperty as e } from "../utils/grammar-utils.js";
//#region ../../node_modules/langium/lib/references/name-provider.js
function t(e) {
	return typeof e.name == "string";
}
var n = class {
	getName(e) {
		if (t(e)) return e.name;
	}
	getNameNode(t) {
		return e(t.$cstNode, "name");
	}
};
//#endregion
export { n as DefaultNameProvider };
